# Generated by Django 4.2.7 on 2023-12-05 19:19

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Game',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
            ],
            options={
                'verbose_name': 'Game',
                'verbose_name_plural': 'Games',
            },
        ),
        migrations.CreateModel(
            name='Guild',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('tag', models.CharField(max_length=10)),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
            ],
            options={
                'verbose_name': 'Guild',
                'verbose_name_plural': 'Guilds',
            },
        ),
        migrations.CreateModel(
            name='GuildGameDataSchema',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('schema', models.JSONField()),
                ('game', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schemas', to='server.game')),
                ('guild', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='schemas', to='server.guild')),
            ],
            options={
                'verbose_name': 'Guild Game Data Schema',
                'verbose_name_plural': 'Guild Game Data Schemas',
            },
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='player', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Player',
                'verbose_name_plural': 'Players',
            },
        ),
        migrations.CreateModel(
            name='WowClasses',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
            ],
            options={
                'verbose_name': 'WoW Class',
                'verbose_name_plural': 'WoW Classes',
            },
        ),
        migrations.CreateModel(
            name='PlayerGuild',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('role', models.CharField(default='member', max_length=200)),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('guild', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='players', to='server.guild')),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='guilds', to='server.player')),
            ],
            options={
                'verbose_name': 'Player Guild',
                'verbose_name_plural': 'Player Guilds',
            },
        ),
        migrations.CreateModel(
            name='PlayerGameData',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='date created')),
                ('data', models.JSONField()),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='game_profiles', to='server.player')),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='player_game_data', to='server.guildgamedataschema')),
            ],
            options={
                'verbose_name': 'Player Game Data',
                'verbose_name_plural': 'Player Game Data',
            },
        ),
    ]
